Bug 75380 - dangerous source code - security problem
Summary: dangerous source code - security problem
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: m4   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-07 21:02 UTC by d.binderman
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-16 08:48:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2002-10-07 21:02:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

I just tried to compile package m4-1.4.1-5, from the new Redhat
7.2 for Alpha, with the new gcc 3.2 compiler.

It said 

stackovf.o: In function `setup_stackovf_trap':
stackovf.o(.text+0x310): the `sigstack' function is dangerous.  `sigaltstack' should be used instead.

I am not sure what the fix is for this.

It also said

regex.c:3418: warning: `regstart' might be used uninitialized in this function
regex.c:3418: warning: `regend' might be used uninitialized in this function
regex.c:3427: warning: `old_regstart' might be used uninitialized in this function
regex.c:3427: warning: `old_regend' might be used uninitialized in this function
regex.c:3437: warning: `reg_info' might be used uninitialized in this function
regex.c:3446: warning: `best_regstart' might be used uninitialized in this function
regex.c:3446: warning: `best_regend' might be used uninitialized in this function
regex.c:3461: warning: `reg_dummy' might be used uninitialized in this function
regex.c:3462: warning: `reg_info_dummy' might be used uninitialized in this function

There may be some value in fixing these warnings. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile with new compiler
2.
3.
	

Additional info:

Comment 1 Mark J. Cox 2003-04-16 08:48:23 UTC
During configuration m4 looks to see if sigaltstack is available and uses it if
so - so this is likely a problem with that detection on alpha platforms.  Since
alpha is no longer supported closing this bug.


Note You need to log in before you can comment on or make changes to this bug.